//
//  StateController.h
//  DictionaryState
//
//  Created by Matt Gallagher on 9/11/08.
//  Copyright 2008 Matt Gallagher. All rights reserved.
//
//  Permission is given to use this source code file without charge in any
//  project, commercial or otherwise, entirely at your risk, with the condition
//  that any redistribution (in part or whole) of source code must retain
//  this copyright and permission notice. Attribution in compiled projects is
//  appreciated but not required.
//

#import <Cocoa/Cocoa.h>

#define STATE_FROM_DICTIONARY

@class ContentView;

@interface StateController : NSObject
{
#ifdef STATE_FROM_DICTIONARY
	NSArray *states;
#endif
	IBOutlet ContentView *contentView;
	id selectedItem;
	NSString *labelString;
	BOOL clockwise;
}

@property (nonatomic, retain) id selectedItem;
@property (nonatomic, readonly) NSString *labelString;
@property BOOL clockwise;

- (NSArray *)popupMenuItems;

#ifndef STATE_FROM_DICTIONARY
- (NSString *)stateName;
#endif

@end
